using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PololuServoExample
{
    
    public partial class Form1 : Form
    {
        SerialPortClass serialPort1 = new SerialPortClass(); //create an instance of our class so we can access its functions
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonSendServoCoords_Click(object sender, EventArgs e)
        {
            int servo = Convert.ToInt32(textBoxPololu.Text);
            int baudRate = Convert.ToInt32(comboBoxBaudRate.Text);
            string comPort = comboBoxCOMPort.Text;
            int servoSpeed = 0;  //0 is quickest, 127 is slowest
            serialPort1.Pololu(comPort, baudRate, 0, servo, servoSpeed);    //this function will move servo 7, at the quickest speed,
                                                                            //via a certain COMport and baud rate
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            int servo = Convert.ToInt32(trackBarPololu.Value);
            int baudRate = Convert.ToInt32(comboBoxBaudRate.Text);
            string comPort = comboBoxCOMPort.Text;
            int servoSpeed = 0;  //0 is quickest, 127 is slowest

            serialPort1.Pololu(comPort, baudRate, 0, servo, servoSpeed);    //this function will move servo 7, at the quickest speed,
                                                                            //via a certain COMport and baud rate
        }

        private void buttonSendMiniSSC_Click(object sender, EventArgs e)
        {
            int servo = Convert.ToInt32(textBoxMiniSSC.Text);
            int baudRate = Convert.ToInt32(comboBoxBaudRate.Text);
            string comPort = comboBoxCOMPort.Text;

            serialPort1.MiniSSC(comPort, baudRate, 7, servo);  //moves servo 7 to the location in the text box via MiniSSC Mode.
        }

        private void trackBarMiniSSC_Scroll(object sender, EventArgs e)
        {
            int servo = Convert.ToInt32(trackBarMiniSSC.Value);
            int baudRate = Convert.ToInt32(comboBoxBaudRate.Text);
            string comPort = comboBoxCOMPort.Text;

            serialPort1.MiniSSC(comPort, baudRate, 7, servo);  //moves servo 7 to the location in the text box via MiniSSC Mode.
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void comboBoxCOMPort_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
    }
}